<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: vx_tutorial_graph_user_kernel_pytiovx_uc.NodePhaseRgb Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="namespacevx__tutorial__graph__user__kernel__pytiovx__uc.html">vx_tutorial_graph_user_kernel_pytiovx_uc</a>.<a class="el" href="classvx__tutorial__graph__user__kernel__pytiovx__uc_1_1NodePhaseRgb.html">NodePhaseRgb</a>
  </div>
</div>
<div class="contents">
<h1>vx_tutorial_graph_user_kernel_pytiovx_uc.NodePhaseRgb Class Reference</h1><!-- doxytag: class="vx_tutorial_graph_user_kernel_pytiovx_uc::NodePhaseRgb" --><!-- doxytag: inherits="Node" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Class to represent user/target kernel. </p>
<p>Dervied from tiovx.node.Node base class </p>

<p>Definition at line <a class="el" href="vx__tutorial__graph__user__kernel__pytiovx__uc_8py_source.html#l00084">84</a> of file <a class="el" href="vx__tutorial__graph__user__kernel__pytiovx__uc_8py_source.html">vx_tutorial_graph_user_kernel_pytiovx_uc.py</a>.</p>

<p>Inherits <a class="el" href="classNode.html">Node</a>.</p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classvx__tutorial__graph__user__kernel__pytiovx__uc_1_1NodePhaseRgb.html#af7a2946aaf85a15ded46a2d116807632">__init__</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor for user/target kernel class.  <a href="#af7a2946aaf85a15ded46a2d116807632"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classvx__tutorial__graph__user__kernel__pytiovx__uc_1_1NodePhaseRgb.html#a05fd81cb8bdada3ad51416a471082af0">checkParams</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameter checking function.  <a href="#a05fd81cb8bdada3ad51416a471082af0"></a><br/></td></tr>
</table>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af7a2946aaf85a15ded46a2d116807632"></a><!-- doxytag: member="vx_tutorial_graph_user_kernel_pytiovx_uc::NodePhaseRgb::__init__" ref="af7a2946aaf85a15ded46a2d116807632" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def vx_tutorial_graph_user_kernel_pytiovx_uc.NodePhaseRgb.__init__ </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>image_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>image_out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>name</em> = <code>&quot;default&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>target</em> = <code>Target.DEFAULT</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor for user/target kernel class. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>image_in</em>&nbsp;</td><td>[in] Input image handle parameter for this function </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>image_out</em>&nbsp;</td><td>[in] Output image handle parameter for this function </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>[in] user indetifiable name </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>target</em>&nbsp;</td><td>[in] target CPU on which this kernel/node will run </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="vx__tutorial__graph__user__kernel__pytiovx__uc_8py_source.html#l00091">91</a> of file <a class="el" href="vx__tutorial__graph__user__kernel__pytiovx__uc_8py_source.html">vx_tutorial_graph_user_kernel_pytiovx_uc.py</a>.</p>

</div>
</div>
<a class="anchor" id="a05fd81cb8bdada3ad51416a471082af0"></a><!-- doxytag: member="vx_tutorial_graph_user_kernel_pytiovx_uc::NodePhaseRgb::checkParams" ref="a05fd81cb8bdada3ad51416a471082af0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def vx_tutorial_graph_user_kernel_pytiovx_uc.NodePhaseRgb.checkParams </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>param_type_args</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parameter checking function. </p>
<p>Checks if number of parameters passed is correct Checks if data type of parameters passed is correct</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>param_type_args</em>&nbsp;</td><td>[in] Variable number of args list of type tiovx.enums.Type to specify data object types </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="vx__tutorial__graph__user__kernel__pytiovx__uc_8py_source.html#l00103">103</a> of file <a class="el" href="vx__tutorial__graph__user__kernel__pytiovx__uc_8py_source.html">vx_tutorial_graph_user_kernel_pytiovx_uc.py</a>.</p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
